* * *

Author Topic: Online Package Manager  (Read 259267 times)

MementoMojito

  • Jr. Member
  • **
  • Posts: 64
Re: Online Package Manager
« Reply #1260 on: May 12, 2018, 08:27:45 pm »
@GetMem

Thanks a lot for the help and the files.
Unfortunately I get the same error. I have also tried to copy them in /usr/lib/lazarus/components/onlinepackagemanager/vst/include and /usr/lib/lazarus/components/onlinepackagemanager/vst/units just in case but no joy.

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1261 on: May 12, 2018, 08:33:29 pm »
@MementoMojito
Quote
Unfortunately I get the same error. I have also tried to copy them in /usr/lib/lazarus/components/onlinepackagemanager/vst/include and /usr/lib/lazarus/components/onlinepackagemanager/vst/units just in case but no joy.
Try to delete the lib folder inside OPM, then rebuild IDE. I think it uses the old ppu files.

PS1: The extracted folder should look like as in the attached image(I'm on windows now, but the directory structure should be the same)
PS2: I tested with 1.8.2 and works fine
« Last Edit: May 12, 2018, 08:55:27 pm by GetMem »

MementoMojito

  • Jr. Member
  • **
  • Posts: 64
Re: Online Package Manager
« Reply #1262 on: May 12, 2018, 09:17:28 pm »
Thanks again for the additional info.
And I hate to be that guy but it's still not working :/
I have made sure to copy the qt5 folder in /usr/lib/.. and /usr/lib64/..
Same error.

Not too sure what you mean for the lib folder in OPM, I don't have any?

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1263 on: May 12, 2018, 09:33:14 pm »
Quote
Thanks again for the additional info./
You're welcome.

Quote
And I hate to be that guy but it's still not working :/
Don't worry.  :) I'm trying to figure out why it fails at your side.

Quote
Not too sure what you mean for the lib folder in OPM, I don't have any?
There should be a lib folder inside OPM. It contains the ppu files(see attached image).

PS: Can you install Lazarus trunk/FPC 3.0.4 with fpupdeluxe(https://forum.lazarus.freepascal.org/index.php/topic,34645.0.html)? It won't interfere with your current installation.
« Last Edit: May 12, 2018, 09:42:00 pm by GetMem »

MementoMojito

  • Jr. Member
  • **
  • Posts: 64
Re: Online Package Manager
« Reply #1264 on: May 13, 2018, 02:28:59 pm »
So fpcupdeluxe is being an absolute pain atm. I get a useful "Got an unexpected exception ... don't know what to do unfortunately." when trying to do the install via fpcupdeluxe-x86_64-linux-qt5
However after 20 retries I have managed to install FPC fixes + Lazarus fixes but same problem when trying to install OPM.
Now still fighting to try to install FPC trunk with Lazarus trunk...
Will keep you posted if I don't give up :)

P.S: I'm using fpcupdeluxe from here https://github.com/newpascal/fpcupdeluxe/releases/latest
« Last Edit: May 13, 2018, 02:31:40 pm by MementoMojito »

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1265 on: May 14, 2018, 07:08:30 am »
@MementoMojito
I did try to install Arch linux to a virtual machine(this one: https://www.osboxes.org/arch-linux-201708-kde-plasma-cli-images-available-virtualbox-vmware/), but I'm unable to setup a network connection. Apparently nothing works in this particular VM.  I never had any problem before with other Linux distros.

PS: If you manage to install Lazarus trunk let me know. OPM should work fine there.

MementoMojito

  • Jr. Member
  • **
  • Posts: 64
Re: Online Package Manager
« Reply #1266 on: May 14, 2018, 02:26:19 pm »
Thanks for your time GetMem
So I have finally installed OPM via trunk but to do so I had to actually use fpcupdeluxe-x86_64-linux instead of fpcupdeluxe-x86_64-linux-qt5 so not really ideal and not what I wanted but it still better than nothing :)
Is there a git where I could grab the whole onlinepackagemanager folder to replace the lazarus-qt5 folder? if it makes sense to try that of course.


GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1267 on: May 14, 2018, 02:46:13 pm »
Quote
So I have finally installed OPM via trunk but to do so I had to actually use fpcupdeluxe-x86_64-linux instead of fpcupdeluxe-x86_64-linux-qt5 so not really ideal and not what I wanted but it still better than nothing :)
OK I'm glad it's working. There are some issues with Fpcupdeluxe-x86_64-linux-qt5? If yes, then you should report it here http://forum.lazarus.freepascal.org/index.php/topic,34645.0.html

Quote
Is there a git where I could grab the whole onlinepackagemanager folder to replace the lazarus-qt5 folder? if it makes sense to try that of course.
I'm not sure if I understand what are you trying to achieve. You cannot mix OPM from trunk with a stable version of Lazarus(like 1.8.2). There was a lot of changes lately to make OPM more compatible with the built-in package manager, so the two versions(stable/trunk) are not interchangeable. You either stay with Lazarus stable/OPM stable, or switch to Lazarus trunk/OPM trunk.

PS: OPM is part of Lazarus, you can download it with a SVN client. If I'm not mistaken you can also find daily snapshots.


MementoMojito

  • Jr. Member
  • **
  • Posts: 64
Re: Online Package Manager
« Reply #1268 on: May 14, 2018, 03:33:06 pm »
Quote
OK I'm glad it's working. There are some issues with Fpcupdeluxe-x86_64-linux-qt5? If yes, then you should report it here http://forum.lazarus.freepascal.org/index.php/topic,34645.0.html
It looks like, I will give it a try on my Debian box as well and report it then.

Quote
You cannot mix OPM from trunk with a stable version of Lazarus(like 1.8.2).
So it answers my question, I guess for now I will stick with with the non qt5 version until I can use it.

Thanks again for all your help and OPM!

circular

  • Hero Member
  • *****
  • Posts: 2678
    • Personal webpage
Re: Online Package Manager
« Reply #1269 on: May 18, 2018, 02:05:15 pm »
@circular

Thank you. I updated BGRABitmaps in the central repository. You can create an update json if you like, this way OPM will notify the users when a new version is available. The steps are described here: http://wiki.freepascal.org/Online_Package_Manager#Create_JSON_for_updates . Alternatively you can leave a message here, whenever a new stable version is available.
Hi GetMem,

I see on the online package manager that BGRABitmap has already been updated. Is it automatic?

I looked for the Create button but I did not find it.

Sorry for that but I am a bit confused.
Conscience is the debugger of the mind

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1270 on: May 18, 2018, 03:29:42 pm »
Hi circular,

Quote
I see on the online package manager that BGRABitmap has already been updated. Is it automatic?
No. I did it manually. It will become automatic, only after you send me the update json. 
I did a small modification(hope it's OK). I changed the version number in the lpk file from 9.6.2. to 9.7.0. This is necessary since OPM reads the version number from the lpk file. Can you please also update the git repository.

Quote
I looked for the Create button but I did not find it.
Sorry for that but I am a bit confused.
No problem, I forget to mention that you should activate the "Package maintainer" profile first. You can do it in OPM-->Options as in the attached picture.
« Last Edit: May 18, 2018, 03:31:34 pm by GetMem »

circular

  • Hero Member
  • *****
  • Posts: 2678
    • Personal webpage
Re: Online Package Manager
« Reply #1271 on: May 18, 2018, 07:18:44 pm »
Oops there was a problem with the merge. The version 9.7 was not actually published. I hope it is now. I incremented the version 9.7.1 to help the update process.

Here is a json file generated with OPM. However it seems the version in it is 9.7 instead of 9.7.1
Conscience is the debugger of the mind

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1272 on: May 18, 2018, 07:56:04 pm »
@circular
Quote
Oops there was a problem with the merge. The version 9.7 was not actually published. I hope it is now. I incremented the version 9.7.1 to help the update process.
I updated the main repository. The current version is 9.7.1. Thanks.
Quote
Here is a json file generated with OPM. However it seems the version in it is 9.7 instead of 9.7.1
I attached the modified version. Please do the following:
1. Upload "update_BGRABitmap.json"(first attachment) to your github page and paste here the link
2. When you release a new version, all you have to do is modify "update_BGRABitmap.json" in your github page. Namely just increase the "Version" entry and change the "DownloadURL" to point to the new zip(as in the attached image)

josh

  • Hero Member
  • *****
  • Posts: 554
Re: Online Package Manager
« Reply #1273 on: May 18, 2018, 08:10:13 pm »
Hi Circular,

Just tried to update using OPM it says 9.7.1, but I get this error
Warning: Recompiling BGRAReadTiff, checksum changed for BGRABitmapTypes
bgrareadtiff.pas(52,18) Fatal: Cannot find BGRAReadTiff used by BGRABitmapTypes, incompatible ppu=C:\lazarus_fixes\config_lazarus\onlinepackagemanager\packages\bgrabitmap-master\bgrabitmap\lib\i386-win32\3.0.5\bgrareadtiff.ppu, package BGRABitmapPack
Development Installation Lazarus 1.3, FPC 2.7.1,Windows 7/8 32/64, OSX, *nix

Test Environment Lazarus & FPC Trunk on Windows and OSX (Cocoa Mainly on OSX). Testing also Crosscompile windows to OSX.. 
Any posts made from 2015 will be based on Lazarus Trunk.

GetMem

  • Hero Member
  • *****
  • Posts: 3022
Re: Online Package Manager
« Reply #1274 on: May 18, 2018, 08:26:09 pm »
@josh
This issue has nothing to do with BGRABitmap or OPM. Most likely you have more then one version of BGRABitmap on your computer. When you try to install a newer version the IDE "get confused" and mix different ppu's. Rebuilding the IDE with "Clean all" usually helps, in worse case scenario you should rename the old BGRABitmap folder to something else, though in my experience this is not necessary. I can install a new versions of different packages without any issues.   

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus